Bug 561178 - Publican 1.4: underscores prevent entity substitution
Publican 1.4: underscores prevent entity substitution
Status: CLOSED ERRATA
Product: Publican
Classification: Community
Component: publican (Show other bugs)
1.6
All Linux
low Severity medium
: ---
: ---
Assigned To: Jeff Fearn
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-02-02 18:05 EST by Douglas Silas
Modified: 2010-11-23 23:20 EST (History)
5 users (show)

See Also:
Fixed In Version: publican-1.5-0.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-02-26 22:30:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Douglas Silas 2010-02-02 18:05:23 EST
Description of problem:

Previously, entities declared in .ent files which contained underscores were correctly substituted when undergoing processing. Publican 1.4 no longer performs substitutions on entity names containing underscores (or, possibly, other characters?).

This may or may not be intentional, and therefore may or may not be a bug. It appears from a quick search that it is up to definitions in the processor as to whether underscores are allowed in entity names.

This is not an issue for the Deployment Guide as I've already converted the three entities defined therein to underscore-less versions, but this change may affect other books and cause confusion.


Version-Release number of selected component (if applicable):
Publican 1.4+

How reproducible:


Steps to Reproduce:
1. Define an entity with an underscore in the book.ent file; use this entity somewhere in a DocBook XML file
2. publican build --langs=en-US --formats=html-single
3. 
  
Actual results:
in the resulting HTML, the entity shows up as, for example, "&MAJOR_OS;", instead of "Red Hat Enterprise Linux".

Expected results:
"Red Hat Enterprise Linux"

Additional info:
entity-with-underscore substitution worked in versions of publican prior to 1.4 (and, if memory serves, prior to 1.0).
Comment 1 Fedora Update System 2010-02-26 00:24:31 EST
publican-1.5-0.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/publican-1.5-0.fc12
Comment 2 Fedora Update System 2010-02-26 00:28:10 EST
publican-1.5-0.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/publican-1.5-0.fc13
Comment 3 Fedora Update System 2010-02-26 00:28:19 EST
publican-1.5-0.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/publican-1.5-0.fc11
Comment 4 Fedora Update System 2010-02-26 00:28:30 EST
publican-1.5-0.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/publican-1.5-0.fc12
Comment 5 Fedora Update System 2010-02-26 00:30:50 EST
publican-1.5-0.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/publican-1.5-0.fc13
Comment 6 Fedora Update System 2010-02-26 00:34:52 EST
publican-1.5-0.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/publican-1.5-0.fc11
Comment 7 Fedora Update System 2010-02-26 22:29:15 EST
publican-1.5-0.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2010-02-26 22:45:03 EST
publican-1.5-0.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.